
Redmine - Feature #25012

Allow both '.' and ',' decimal symbols for input of float custom fields

2017-02-06 11:26 - Stephane Evr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

In Redmine, inputting decimal values such as "3.15" of "3,15" in either "Estimated time" or "Spent time" fields is correctly interpreted

and converted back to the proper float format: 3.15 .

I think this behaviour should also be applied to float custom fields.

Related issues:

Related to Redmine - Feature #22024: Support localized decimal separators for... Closed

History

#1 - 2017-03-07 06:23 - Toshi MARUYAMA

- Category set to Custom fields

#2 - 2023-09-06 19:16 - Liane Hampe

See https://www.redmine.org/issues/22024#note-4 for a patch solving this problem.

#3 - 2024-01-04 03:44 - Go MAEDA

- Related to Feature #22024: Support localized decimal separators for float values added

#4 - 2024-01-04 08:13 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The feature was added by #22024 for the upcoming Redmine 6.0.0.
